Ticket #41181

二刀流のダメージが片手より増えることがある (フォーラムメッセージ #86583 からの引用)

Open Date: 2021-01-16 23:57 Last Update: 2021-02-05 17:11

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

フォーラム 変愚蛮怒3.0.0Alpha開発フォーラム [#86583] からの引用

[forum: 86583]

二刀流をすると表示される平均ダメージが1本だけ持っているときより増えることがあります

例えば、いかさま人間盗賊、腕力器用カンスト、カンベレグだけ装備しているときに、並レイピアを1本だけ持つと表示される平均ダメージは143であるのに対して、並レイピアの二刀流をすると右手も左手も表示される平均ダメージは166になります。

バージョン:3.0.0.0alpha

まだ原因不明

α版のフォーラムがクローズしたので取り敢えずチケット化だけしておく

Ticket History (3/10 Histories)

2021-01-16 23:57 Updated by: hourier
  • New Ticket "二刀流のダメージが片手より増えることがある (フォーラムメッセージ #86583 からの引用)" created
2021-01-17 12:57 Updated by: habu
Comment

少し調べたところ、get_default_hand()の処理が意図通りになってないような気がします。 例えば右手にダガー装備、左手は盾装備(もしくは素手)の場合、default_handは右手(== 0)を返すべきだと思いますが、実際は左手(== 1)が返ります。 そのため武器を装備している右手に防具の殺戮修正が受けられないので、二刀流の時よりダメージが低くなります(二刀流の時は通常通り半分の殺戮修正が受けられる)。

フォーラム #86595 のマーシャルアーツの技能修正や殺戮修正が乗らないのも同じ原因にみえます。

2021-01-18 20:19 Updated by: hourier
  • Owner Update from (None) to deskull
Comment

player-status周りの事象なので担当者を一旦deskullさんに回します

2021-01-22 22:14 Updated by: deskull
Comment

了解、こっちで対処してみます。

2021-01-27 22:58 Updated by: deskull
Comment

#41264 と同根で殺戮修正の武器での計算の仕方がリファクタリング後でおかしい。一気に直す。

(Edited, 2021-01-27 23:00 Updated by: deskull)
2021-02-05 17:06 Updated by: dis-
Comment

#41264 の修正時にこちらも解決しています。

https://osdn.net/projects/hengband/scm/git/hengband/commits/e5f17cc608943bdd8594463c5c45465f630f3ff0

修正を確認したのでクローズしておきます。

2021-02-05 17:06 Updated by: dis-
  • Status Update from Open to Closed
  • Owner Update from deskull to dis-
2021-02-05 17:11 Updated by: dis-
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login